petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCoarsenApply

Gets a coarsen for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenApply(MatCoarsen coarser)

Collective on MatCoarsen Many br

### Input Parameter

coarsen -the coarsen Many br

### Options Database Keys

To specify the coarsen through the options database, use one of Many brthe following Many br

       -mat_coarsen_type mis

To see the coarsen result Many br

       -mat_coarsen_view

Many br

Notes: Use MatCoarsenGetData() to access the results of the coarsening Many br

The user can define additional coarsens; see MatCoarsenRegister(). Many br

### Keywords

matrix, get, coarsen

### See Also

MatCoarsenRegister(), MatCoarsenCreate(),
MatCoarsenDestroy(), MatCoarsenSetAdjacency(), ISCoarsenToNumbering(), Many brISCoarsenCount(), MatCoarsenGetData() Many br

Level:beginner
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages